Update User Group
Updates a specified user group.
Required Permissions
Requires the ADMIN role or higher.
HTTP Request
PUT /api/sonar/user-groups/:guid
cURL Example
curl -H "Authorization: Bearer <API_KEY>" \
-d name="Cyber Security" \
-d user_guids=ffaf431b-653a-4329-8f83-913cbb00342d \
-X PUT \
https://HOSTNAME/api/sonar/user-groups/a2a42968-787f-45a3-bec9-b6b68db21c2f
Request Parameters
| Key | Required | Type | Description | Note |
|---|---|---|---|---|
| name | O | String | User group name | Minimum 1 to maximum 200 characters |
| guid | X | String | User group GUID | 36 characters |
| description | X | String | Description | Maximum 2,000 characters |
| user_guids | X | Array | List of user GUIDs | Invalid user GUID is ignored |
Success Response
{}
Error Responses
Required argument is missing
{
"error_code": "null-argument",
"error_msg": "name should be not null"
}
Invalid argument length
{
"error_code": "invalid-argument",
"error_msg": "'name' must be shorter than or equal to 200 characters."
}
User identifier is not in valid GUID format
{
"error_code": "invalid-param-type",
"error_msg": "user_guids should be guid type."
}
User group is not found
An inquiry failure response is returned when a non-cluster administrator attempts to delete an account that belongs to another company (tenant).
{
"error_code": "illegal-state",
"error_msg": "user group not found: a2a42968-787f-45a3-bec9-b6b68db21c2d"
}